PostgreSQL 7.4beta4 Documentation
Prev | Fast Backward |  | Fast Forward | Next

# DROP TRIGGER

## Name

DROP TRIGGER -- remove a trigger

## Synopsis

    DROP TRIGGER name ON table [ CASCADE | RESTRICT ]

## Description

`DROP TRIGGER` will remove an existing trigger definition. To execute this command, the current user must be the owner of the table for which the trigger is defined.

## Parameters

name

  The name of the trigger to remove.

table

  The name (optionally schema-qualified) of a table for which the trigger is defined.

CASCADE

  Automatically drop objects that depend on the trigger.

RESTRICT

  Refuse to drop the trigger if any objects depend on it. This is the default.

## Examples

Destroy the trigger if_dist_exists on the table films:

    DROP TRIGGER if_dist_exists ON films;

## Compatibility

The `DROP TRIGGER` statement in PostgreSQL is incompatible with the SQL standard. In the SQL standard, trigger names are not local to tables, so the command is simply DROP TRIGGER name.

## See Also

CREATE TRIGGER

Prev | Home | Next
DROP TABLE | Up | DROP TYPE